{{!-- Busqueda --}}
{{#power-select-multiple
  options=nets
  class="net-picker"
  selected=selectedNet
  allowClear=true
  afterOptionsComponent=(
   component 'create-net'
   someAction=(action 'toggleModalCreate')
   classNames="net-picker__create-new-button"
   isShowingCreateNetModal=isShowingCreateNetModal
   selectRemoteControl=selectRemoteControl
   hideCreateNet=hideCreateNet
 )
  onchange=(action 'selectNetAction')
  search=(action 'searchButtonNets')
  onopen=(action 'fetchOptions')
  onclose=(action 'closeOptions')
  searchPlaceholder="Buscar red"
  registerAPI=(action (mut selectRemoteControl))
  noMatchesMessage="No hay redes así"
  loadingMessage="Buscando redes"
  id="netPickerTrigger"
  triggerClass=TriggerClickedClass
  dropdownClass="select__option net-picker__dropdown-option justify-content-between"
  as |net|
}}
  {{#if (is-equal selectedNet.length 1)}}
    {{#unless net.isNew}}
      {{#if net.imgUrl}}
        {{svg-jar net.imgUrl class="net-picker__svg-icon"}}
      {{else}}
        {{svg-jar "no image" class="net-picker__svg-icon"}}
      {{/if}}
      {{net.name}}
    {{/unless}}
  {{else}}
    {{#unless net.isNew}}
      {{#if net.imgUrl}}
        {{svg-jar net.imgUrl class="net-picker__svg-icon"}}
      {{else}}
        {{svg-jar "no image" class="net-picker__svg-icon"}}
      {{/if}}
      {{net.name}}
    {{/unless}}
  {{/if}}
{{/power-select-multiple}}
